org.apache.ignite.internal.processors.igfs.meta

## Class IgfsMetaDirectoryListingRenameProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.meta.IgfsMetaDirectoryListingRenameProcessor

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.processor.EntryProcessor<IgniteUuid,IgfsEntryInfo,Void>, Binarylizable

    public class IgfsMetaDirectoryListingRenameProcessor
    extends Object
    implements javax.cache.processor.EntryProcessor<IgniteUuid,IgfsEntryInfo,Void>, Externalizable, Binarylizable

Processor to rename a single entry in a directory listing.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsMetaDirectoryListingRenameProcessor()` Constructor.
`IgfsMetaDirectoryListingRenameProcessor(String oldName, String newName)` Constructor.

### Method Summary

Methods
`Void` `process(javax.cache.processor.MutableEntry<IgniteUuid,IgfsEntryInfo> e, Object... args)`
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsMetaDirectoryListingRenameProcessor

    public IgfsMetaDirectoryListingRenameProcessor()

Constructor.

#### IgfsMetaDirectoryListingRenameProcessor

    public IgfsMetaDirectoryListingRenameProcessor(String oldName,
                                           String newName)

Constructor.

Parameters:
  `oldName` - Old name.
  `newName` - New name.

### Method Detail

#### process

    public Void process(javax.cache.processor.MutableEntry<IgniteUuid,IgfsEntryInfo> e,
               Object... args)
                 throws javax.cache.processor.EntryProcessorException

Specified by:
  `process` in interface `javax.cache.processor.EntryProcessor<IgniteUuid,IgfsEntryInfo,Void>`
Throws:
  `javax.cache.processor.EntryProcessorException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016